//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Collections.Generic;
    
    public partial class vwSyllabusMonthSubject
    {
        public short Year { get; set; }
        public short BrandCd { get; set; }
        public string PupilCd { get; set; }
        public string PupilName { get; set; }
        public Nullable<byte> Grade { get; set; }
        public int TeacherCd { get; set; }
        public string TeacherName { get; set; }
        public int HouseCd { get; set; }
        public int CourseMonth { get; set; }
        public short CourseCd { get; set; }
        public Nullable<int> Subject1 { get; set; }
        public Nullable<int> Subject2 { get; set; }
        public Nullable<int> Subject3 { get; set; }
        public Nullable<int> Subject4 { get; set; }
        public Nullable<int> Subject5 { get; set; }
        public Nullable<int> Subject6 { get; set; }
        public Nullable<int> Subject7 { get; set; }
        public Nullable<int> Subject8 { get; set; }
        public Nullable<int> Subject9 { get; set; }
        public Nullable<int> Subject10 { get; set; }
    }
}
